package gui.UI_LenheartUI;

import javax.swing.*;

public class UI_LenheartUI {

    private JPanel 物品回收页面;
    private JPanel 伤害控制页面;
    private JPanel 爆率控制页面;
    private JPanel 战力控制页面;
    private JPanel 爆物管理页面;
    private JPanel 钓鱼管理页面;
    private JPanel 自动访问NPC页面;
    private JPanel 杀怪统计页面;
    private JPanel 掉落捡取提示;
    private JPanel 野外BOSS页面;
    private JPanel 专用功能页面;



    public UI_LenheartUI(JTabbedPane mainComponent) {
        物品回收页面 = new ItemRecovery();
        伤害控制页面 = new DamageControl();
        爆率控制页面 = new DropControl();
        战力控制页面 = new FightControl();
        爆物管理页面 = new ExplosiveControl();
        钓鱼管理页面 = new Fishing();
        自动访问NPC页面 = new AutoScriptNpc();
        杀怪统计页面 = new KillMonsterStatistics();
        掉落捡取提示 = new DropTips();
        野外BOSS页面 = new WorldBoss();
        专用功能页面 = new zygn();

//        mainComponent.addTab("专用功能", 专用功能页面);
        mainComponent.addTab("掉落捡取提示 & 通知", 掉落捡取提示);
        mainComponent.addTab("物品回收设置", 物品回收页面);
        mainComponent.addTab("伤害控制设置", 伤害控制页面);
        mainComponent.addTab("爆率 & 鞭尸控制设置", 爆率控制页面);
        mainComponent.addTab("战力控制设置", 战力控制页面);
        mainComponent.addTab("爆物管理设置", 爆物管理页面);
        mainComponent.addTab("钓鱼管理设置", 钓鱼管理页面);
        mainComponent.addTab("自动访问NPC设置", 自动访问NPC页面);
        mainComponent.addTab("杀怪统计", 杀怪统计页面);
        mainComponent.addTab("野外BOSS", 野外BOSS页面);
    }
}
